class CallContext(object):
    def __init__(self):
        ############# CONNECTOR AUTH ##############
        self.auth_token = None
        self.api_key = None
        self.connector_id = None
        self.connector_type = None
        self.api_session = None

        ############# UI AUTH ##############
        self.session_id = None
        self.user_id = None

    def is_api_call(self):
        return self.auth_token is not None

    def is_session_call(self):
        return self.session_id is not None

    def is_authenticated(self):
        return self.is_authenticated

    @staticmethod
    def parse(json):
        ctx = CallContext()
        ctx.__dict__ = json['call_context']
        return ctx
